Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.wutka.dtd
Class DTD

    java.lang.Object
      |
      +--com.wutka.dtd.DTD

All Implemented Interfaces:
  DTDOutput

public class DTD
extends Object
implements DTDOutput

Represents a parsed Document Type Definition

Version:
  $Revision: 1.12 $ $Date: 2000/09/01 13:21:05 $ by $Author: wutka $
Author:
  Mark Wutka

Field Summary
`Hashtable` | `elements` Contains all the elements defined in the DTD
`Hashtable` | `entities` Contains all the entities defined in the DTD
`Hashtable` | `externalDTDs` Contains parsed DTD's for any external entity DTD declarations
`Vector` | `items` Contains all the items defined in the DTD in their original order
`Hashtable` | `notations` Contains all the notations defined in the DTD
`DTDElement` | `rootElement` Contains the element that is most likely the root element or null if the root element can't be determined.

Constructor Summary
`DTD()` Creates a new DTD

Method Summary
`boolean` | `equals(Object ob)` Returns true if this object is equal to another
`Object` | `getItem(int i)` Retrieves an item from the items array
`Object[]` | `getItems()` Returns the items as an array
`Vector` | `getItemsByType(Class itemType)` Retrieves a list of items of a particular type
`void` | `setItem(Object item, int i)` Stores an item in the items array
`void` | `setItems(Object[] newItems)` Stores an array of items in the items array
`void` | `write(PrintWriter outWriter)` Writes the DTD to an output writer in standard DTD format (the format the parser normally reads).

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### elements

    public Hashtable elements

  Contains all the elements defined in the DTD

### entities

    public Hashtable entities

  Contains all the entities defined in the DTD

### notations

    public Hashtable notations

  Contains all the notations defined in the DTD

### externalDTDs

    public Hashtable externalDTDs

  Contains parsed DTD's for any external entity DTD declarations

### items

    public Vector items

  Contains all the items defined in the DTD in their original order

### rootElement

    public DTDElement rootElement

  Contains the element that is most likely the root element or null if the root element can't be determined.

Constructor Detail

### DTD

    public DTD()

  Creates a new DTD

Method Detail

### write

    public void write(PrintWriter outWriter)
               throws IOException

  Writes the DTD to an output writer in standard DTD format (the format the parser normally reads).
  Specified by:
    `write` in interface `DTDOutput`
  Parameters:
    `outWriter` - The writer where the DTD will be written

### equals

    public boolean equals(Object ob)

  Returns true if this object is equal to another
  Overrides:
    `equals` in class `Object`

### setItems

    public void setItems(Object[] newItems)

  Stores an array of items in the items array

### getItems

    public Object[] getItems()

  Returns the items as an array

### setItem

    public void setItem(Object item,
                        int i)

  Stores an item in the items array

### getItem

    public Object getItem(int i)

  Retrieves an item from the items array

### getItemsByType

    public Vector getItemsByType(Class itemType)

  Retrieves a list of items of a particular type

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD